<!DOCTYPE html>
<html class="no-js">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>Guid</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>document.documentElement.classList.replace("no-js","js");</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="https://unpkg.com/kotlin-playground@1/dist/playground.min.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<link href="../../../styles/font-jb-sans-auto.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
<link href="../../../images/nexa-64x64.png">
<link href="../../../images/logo-icon.svg">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
</head>
<body>
    <div class="root">
<nav class="navigation" id="navigation-wrapper">
    <div class="navigation--inner">
        <div class="navigation-title">
            <button class="menu-toggle" id="menu-toggle" type="button">toggle menu</button>
            <div class="library-name">
                    <a class="library-name--link" href="../../../index.html">
                            libnexakotlin
                    </a>
            </div>
            <div class="library-version">
0.0.22            </div>
        </div>
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/commonMain">common</button>
        </div>
    </div>
    <div class="navigation-controls">
        <button class="navigation-controls--btn navigation-controls--theme" id="theme-toggle-button" type="button">switch theme</button>
        <div class="navigation-controls--btn navigation-controls--search" id="searchBar" role="button">search in API</div>
    </div>
</nav>
        <div id="container">
            <div class="sidebar" id="leftColumn">
                <div class="sidebar--inner" id="sideMenu"></div>
            </div>
            <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="libnexakotlin::org.nexa.libnexakotlin/Guid///PointingToDeclaration//1316645254">
  <div class="breadcrumbs"><a href="../../../index.html">libnexakotlin</a><span class="delimiter">/</span><a href="../index.html">org.nexa.libnexakotlin</a><span class="delimiter">/</span><span class="current">Guid</span></div>
  <div class="cover ">
    <h1 class="cover"><span><span>Guid</span></span></h1>
    <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">class </span><a href="index.html">Guid</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">var </span>data<span class="token operator">: </span><a href="../-hash256/index.html">Hash256</a><span class="token operator"> = </span>Hash256()</span></span><span class="token punctuation">)</span> : <a href="../-b-c-hserializable/index.html">BCHserializable</a></div></div></div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,PROPERTY,FUNCTION">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="CONSTRUCTOR">
        <h2 class="">Constructors</h2>
        <div class="table"><a data-name="-680700358%2FConstructors%2F1316645254" anchor-label="Guid" id="-680700358%2FConstructors%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-togglable="CONSTRUCTOR" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-guid.html"><span><span>Guid</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-680700358%2FConstructors%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">dat<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">dat<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a></span></span><span class="token punctuation">)</span></div><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">dat<span class="token operator">: </span><a href="../-b-c-hserialized/index.html">BCHserialized</a></span></span><span class="token punctuation">)</span></div><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">data<span class="token operator">: </span><a href="../-hash256/index.html">Hash256</a><span class="token operator"> = </span>Hash256()</span></span><span class="token punctuation">)</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="-502745414%2FProperties%2F1316645254" anchor-label="data" id="-502745414%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="data.html"><span><span>data</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-502745414%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="data.html">data</a><span class="token operator">: </span><a href="../-hash256/index.html">Hash256</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1672281735%2FProperties%2F1316645254" anchor-label="GUID_LEN_BYTES" id="-1672281735%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-g-u-i-d_-l-e-n_-b-y-t-e-s.html"><span><span>GUID_LEN_BYTES</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1672281735%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="-g-u-i-d_-l-e-n_-b-y-t-e-s.html">GUID_LEN_BYTES</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">32</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="FUNCTION">
        <h2 class="">Functions</h2>
        <div class="table"><a data-name="-1632085203%2FFunctions%2F1316645254" anchor-label="BCHdeserialize" id="-1632085203%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-b-c-hdeserialize.html"><span><span>BCHdeserialize</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1632085203%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">override </span><span class="token keyword">fun </span><a href="-b-c-hdeserialize.html"><span class="token function">BCHdeserialize</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">stream<span class="token operator">: </span><a href="../-b-c-hserialized/index.html">BCHserialized</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../-b-c-hserialized/index.html">BCHserialized</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1450809037%2FFunctions%2F1316645254" anchor-label="BCHserialize" id="1450809037%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-b-c-hserialize.html"><span><span>BCHserialize</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1450809037%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">override </span><span class="token keyword">fun </span><a href="-b-c-hserialize.html"><span class="token function">BCHserialize</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">format<span class="token operator">: </span><a href="../-serialization-type/index.html">SerializationType</a></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="../-b-c-hserialized/index.html">BCHserialized</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1264634788%2FFunctions%2F1316645254" anchor-label="contentEquals" id="1264634788%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="content-equals.html"><span>content</span><wbr></wbr><span><span>Equals</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1264634788%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="content-equals.html"><span class="token function">contentEquals</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">other<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html">Any</a><span class="token operator">?</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-849920931%2FFunctions%2F1316645254" anchor-label="equals" id="-849920931%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="equals.html"><span><span>equals</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-849920931%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">operator override </span><span class="token keyword">fun </span><a href="equals.html"><span class="token function">equals</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">other<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html">Any</a><span class="token operator">?</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1809310058%2FFunctions%2F1316645254" anchor-label="toHex" id="-1809310058%2FFunctions%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="to-hex.html"><span>to</span><wbr></wbr><span><span>Hex</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1809310058%2FFunctions%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="to-hex.html"><span class="token function">toHex</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>(c) 2023 Bitcoin Unlimited</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
            </div>
        </div>
    </div>
</body>
</html>
